org.apache.tomcat.util.net

## Class NioEndpoint.SendfileData

- java.lang.Object
- - org.apache.tomcat.util.net.SendfileDataBase
  - - org.apache.tomcat.util.net.NioEndpoint.SendfileData

- Enclosing class:
    NioEndpoint

      public static class NioEndpoint.SendfileData
      extends SendfileDataBase

  SendfileData class.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FileChannel` | `fchannel`

    - ### Fields inherited from class org.apache.tomcat.util.net.SendfileDataBase

      `fileName, keepAliveState, length, pos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NioEndpoint.SendfileData(String filename, long pos, long length)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fchannel

          protected volatile FileChannel fchannel

  - ### Constructor Detail

    - #### NioEndpoint.SendfileData

          public NioEndpoint.SendfileData(String filename,
                                  long pos,
                                  long length)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.